import { EventEmitter, OnInit } from '@angular/core';
import { STChange, STColumn, STComponent } from '@delon/abc';
import { TranslateService } from '@ngx-translate/core';
import { DEF } from '../../../../api';
/**
 * role list
 */
export declare class IdentityRoleRolesComponent implements OnInit {
    private translateService;
    currentRole: DEF.Identity.RolePermissions | null;
    currentRoleChange: EventEmitter<DEF.Identity.RolePermissions | null>;
    loading: boolean;
    roleCreateComponentProp: {
        visible: boolean;
    };
    st: STComponent;
    stColumns: Array<STColumn>;
    stDatas: Array<DEF.Identity.RolePermissions>;
    constructor(translateService: TranslateService);
    fetchRoles(): void;
    handleRefresh(): void;
    handleRoleCreateComponentOk(): void;
    handleStChange($event: STChange): void;
    ngOnInit(): void;
    openRoleCreateComponent(): void;
}
